/*

WMALLOC.H - Windows Global Memory Allocation Program
	    Header file

*/


#ifndef __WMALLOC_H
#define __WMALLOC_H


#define MALLOC_MESSAGE	"WinGlobalMalloc"
#define MAL_NULL	0x0
#define MAL_ACK		0x1


#define MAL_ALLOC	(WSM_USER + 0x1)
#define MAL_REALLOC	(WSM_USER + 0x2)
#define MAL_FREE	(WSM_USER + 0x3)


typedef struct tagREALLOCSTRUCT
  {DWORD dwSize;
   void far *lpPtr;
  } REALLOCSTRUCT, far *LPREALLOCSTRUCT;


void far * WINAPI gmalloc (DWORD dwSize);
void far * WINAPI grealloc (void far *lpPtr, DWORD dwSize);
void WINAPI gfree (void far *lpPtr);
BOOL WINAPI gisptr (void far *lpPtr);



#endif // __WMALLOC_H

